Skip to main content

Get a lead by ID

GEThttps://api.propexo.com/v1/leads/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the lead

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atnullrequired

    The date the record first entered the integration vendor

    Notice

    This field will always be null for MRI

    Example: null
    x_guestcard_idnullrequired

    The external ID of the guestcard from the integration vendor

    Notice

    This field will always be null for MRI

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 000000123
    x_leasing_agent_idnullrequired

    The external ID of the leasing agent from the integration vendor

    Notice

    This field will always be null for MRI

    Example: null
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 123
    x_unit_idnullrequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Notice

    This field will always be null for MRI

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the lead is interested in

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: ["04"]
    x_updated_atnullrequired

    The date the record was last updated in the integration vendor

    Notice

    This field will always be null for MRI

    Example: null
    x_lead_source_idnullrequired

    The external ID of the lead source from the integration vendor

    Notice

    This field will always be null for MRI

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 123 Round Street
    address_2string | nullnullablerequired

    The second address line associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: Suite 827
    citystring | nullnullablerequired

    The city associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: Newark
    countrynullrequired

    The country associated with the lead

    Notice

    This field will always be null for MRI

    Example: null
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 2000-01-05T00:00:00.000Z
    desired_amenitiesnullrequired

    The desired amenities associated with the lead

    Notice

    This field will always be null for MRI

    Example: null
    desired_floor_plan_idnullrequired

    The external ID of desired floor plan associated with the lead

    Notice

    This field will always be null for MRI

    Example: null
    desired_floor_plan_namenullrequired

    The desired floor plan name

    Notice

    This field will always be null for MRI

    Example: null
    desired_lease_term_in_monthsstring | nullnullablerequired

    The desired lease term

    Important

    This comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 12
    desired_max_rent_in_centsnullrequired

    The desired maximum rent

    Notice

    This field will always be null for MRI

    Example: null
    desired_max_square_ftnullrequired

    The desired maximum square feet

    Notice

    This field will always be null for MRI

    Example: null
    desired_min_rent_in_centsnullrequired

    The desired minimum rent

    Notice

    This field will always be null for MRI

    Example: null
    desired_min_square_ftnullrequired

    The desired minimum square feet

    Notice

    This field will always be null for MRI

    Example: null
    desired_num_bathroomsnullrequired

    The desired number of bathrooms

    Important

    Use desired_num_bathrooms_full and desired_num_bathrooms_half instead.

    Notice

    This field will always be null for MRI

    Example: null
    desired_num_bedroomsinteger | nullnullablerequired

    The desired number of bedrooms

    Important

    This comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 2
    desired_unit_numbernullrequired

    The desired unit number

    Notice

    This field will always be null for MRI

    Example: null
    desired_unit_typenullrequired

    The desired unit type

    Notice

    This field will always be null for MRI

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    email_2nullrequired

    The secondary email address associated with the lead

    Notice

    This field will always be null for MRI

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: Jane
    ilsnullrequired

    The name of the Internet listing service

    Notice

    This field will always be null for MRI

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: Doe
    lead_sourcenullrequired

    The lead source

    Notice

    This field will always be null for MRI

    Example: null
    leasing_agentnullrequired

    The name of the leasing agent

    Notice

    This field will always be null for MRI

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    Important

    MRI only gives the middle initial.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: J
    notesstring | nullnullablerequired

    Notes associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: Visit-N
    number_of_occupantsinteger | nullnullablerequired

    The number of occupants

    Important

    This comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 2
    pet_detailsnullrequireddeprecated

    DEPRECATED: Use the pets array instead

    Notice

    This field will always be null for MRI

    Example: null
    pets object[]required

    The pets associated with the lead

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 89
    age_in_yearsnullrequired

    The age in years of the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    breednullrequired

    The breed of the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    colornullrequired

    The color of the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    gender_rawnullrequired

    The raw value for the gender of the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    is_fixednullrequired

    Whether the lead pet is fixed

    Notice

    This field will always be null for MRI

    Example: null
    is_service_animalnullrequired

    Whether the lead pet is a service animal

    Notice

    This field will always be null for MRI

    Example: null
    namenullrequired

    The name associated with the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    notesnullrequired

    Notes associated with the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    typestring | nullnullablerequired

    The type associated with the lead pet

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: D
    weight_in_poundsnullrequired

    The weight in pounds of the lead pet

    Notice

    This field will always be null for MRI

    Example: null
    custom_data object | nullrequired
    object
  • ]
  • phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    Important

    MRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 5555555555
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    Important

    MRI offers mobile, home, work, and fax numbers. Propexo stores these in that priority order. If you need more fields for the other numbers, contact Propexo support.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 5555555554
    statestring | nullnullablerequired

    The state associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: NJ
    statusnullrequired

    The raw status associated with the lead

    Notice

    This field will always be null for MRI

    Example: null
    target_move_in_datestring | nullnullablerequired

    The target move in date

    Important

    This comes from one of the ProspectiveTenant records for the lead. There can be more than one. If you'd like all of the records, contact Propexo support.

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 2025-06-30T00:00:00.000Z
    zipstring | nullnullablerequired

    The zip code associated with the lead

    Method
    /mriapiservices/api.asp?$api=MRI_S-PMRM_ProspectsApplicantsAndResidents
    Example: 17892
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    lead_source_idnullrequired

    The Propexo unique identifier for the lead source

    Notice

    This field will always be null for MRI

    Example: null
    unit_id_preferrednullrequired

    The Propexo unique identifiers for the units that the lead is interested in

    Notice

    This field will always be null for MRI

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum16required

    The property management system of record

    Show 13 enum values
    MRIAPPFOLIOBUILDIUMENTRATAPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: MRI
    screenings object[]required
    Notice

    This field is not currently hydrated for MRI

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for MRI

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for MRI

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/:id
curl https://api.propexo.com/v1/leads/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": null,
"x_guestcard_id": null,
"x_id": "000000123",
"x_leasing_agent_id": null,
"x_property_id": "123",
"x_unit_id_preferred": [
"04"
],
"x_updated_at": null,
"x_lead_source_id": null,
"address_1": "123 Round Street",
"address_2": "Suite 827",
"city": "Newark",
"country": null,
"custom_data": "Unknown Type: object,null",
"date_of_birth": "2000-01-05T00:00:00.000Z",
"desired_amenities": null,
"desired_floor_plan_id": null,
"desired_floor_plan_name": null,
"desired_lease_term_in_months": "12",
"desired_max_rent_in_cents": null,
"desired_max_square_ft": null,
"desired_min_rent_in_cents": null,
"desired_min_square_ft": null,
"desired_num_bathrooms": null,
"desired_num_bedrooms": 2,
"desired_unit_number": null,
"desired_unit_type": null,
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jane",
"ils": null,
"last_name": "Doe",
"lead_source": null,
"leasing_agent": null,
"middle_name": "J",
"notes": "Visit-N",
"number_of_occupants": 2,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "89",
"age_in_years": null,
"breed": null,
"color": null,
"gender_raw": null,
"is_fixed": null,
"is_service_animal": null,
"name": null,
"notes": null,
"type": "D",
"weight_in_pounds": null,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "MOBILE",
"phone_1": "5555555555",
"phone_2_type": "HOME",
"phone_2": "5555555554",
"state": "NJ",
"status": null,
"target_move_in_date": "2025-06-30T00:00:00.000Z",
"zip": "17892",
"property_id": "clwi5xiix000008l6ctdgafyh",
"lead_source_id": null,
"unit_id_preferred": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "MRI",
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}